<?php

declare(strict_types=1);

namespace Drupal\contextual_image_widget_crop\Hook;

use Drupal\Core\Hook\Attribute\Hook;

/**
 * Entity Type Hook implementations for the contextual_image_widget_crop module.
 */
class EntityTypeHooks {

  /**
   * Implements hook_entity_type_alter().
   */
  #[Hook('entity_type_alter')]
  public function entityTypeAlter(array &$entity_types) {
    /** @var \Drupal\Core\Entity\EntityTypeInterface[] $entity_types */
    $entity_types['media']->setLinkTemplate('edit-form-ajax', '/media/{media}/ajax');
    $entity_types['media']->setFormClass('edit_ajax', 'Drupal\contextual_image_widget_crop\Form\MediaAjaxForm');
  }

}